Bug 241007 - gnome-background-properties crash after startup
Summary: gnome-background-properties crash after startup
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-23 16:32 UTC by Michal Babej
Modified: 2014-06-18 09:09 UTC (History)
5 users (show)

Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-01 20:23:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace (2.85 KB, text/plain)
2007-05-23 16:32 UTC, Michal Babej
no flags Details

Description Michal Babej 2007-05-23 16:32:49 UTC
Description of problem:
gnome-background-properties crashes after startup every time.

Version-Release number of selected component (if applicable):
control-center-2.18.0-18.fc7

How reproducible:
always

Additional info:
see bt

Comment 1 Michal Babej 2007-05-23 16:32:49 UTC
Created attachment 155273 [details]
gdb backtrace

Comment 2 Michal Babej 2007-05-23 16:34:38 UTC
chmod("/home/mike/.thumbnails/fail/gnome-thumbnail-factory/72f51352fb3fa2e91b4f83843a466153.png.SITZST",
0600) = 0
rename("/home/mike/.thumbnails/fail/gnome-thumbnail-factory/72f51352fb3fa2e91b4f83843a466153.png.SITZST",
"/home/mike/.thumbnails/fail/gnome-thumbnail-factory/72f51352fb3fa2e91b4f83843a466153.png")
= 0
stat("/home/mike/.thumbnails/fail/gnome-thumbnail-factory",
{st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
open("/usr/share/backgrounds/tiles/pattern-clouds.svg", O_RDONLY) = 15
fadvise64(15, 0, 0, POSIX_FADV_SEQUENTIAL) = 0
fstat(15, {st_mode=S_IFREG|0644, st_size=9382, ...}) = 0
read(15, "<?xml version=\"1.0\" encoding=\"UT"..., 8192) = 8192
read(15, "9,97.617344 23.968009,99.094824 "..., 8192) = 1190
read(15, "", 8192)                      = 0
close(15)                               = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---


<< strace output

Comment 3 Michal Babej 2007-05-23 16:35:48 UTC
the file /usr/share/backgrounds/tiles/pattern-clouds.svg
is in gnome-backgrounds-2.16.1-1.fc7

Comment 4 Michal Babej 2007-05-23 16:38:13 UTC
tried "eog /usr/share/backgrounds/tiles/pattern-clouds.svg" :

Couldn't load image 'pattern-clouds.svg'.
Unrecognized image file format

eog-2.18.0.1-2.fc7

Comment 5 Bug Zapper 2008-04-04 00:51:31 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Michal Babej 2008-04-06 16:30:53 UTC
seems fixed in eog-2.18.2-2.fc7 / control-center-2.18.0-20.fc7

Comment 7 John Poelstra 2008-05-01 20:23:18 UTC
thanks for your update


Note You need to log in before you can comment on or make changes to this bug.